> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spikeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lab Report

> Retrieve a lab report by record ID.



## OpenAPI

````yaml get /lab_reports/{lab_report_id}
openapi: 3.1.0
info:
  title: Application user API
  version: 3.0.2
servers:
  - url: https://app-api.spikeapi.com/v3
security: []
paths:
  /lab_reports/{lab_report_id}:
    get:
      tags:
        - Lab Reports
      summary: Get Lab Report
      description: Retrieve a lab report by record ID.
      operationId: getLabReportsByLabReportId
      parameters:
        - description: Lab Report ID
          in: path
          name: lab_report_id
          required: true
          schema:
            description: Lab Report ID
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabReport'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearer: []
components:
  schemas:
    LabReport:
      additionalProperties: false
      properties:
        collection_date:
          type: string
        lab_information:
          $ref: '#/components/schemas/LabInformation'
        modified_at:
          format: date-time
          type: string
        notes:
          type: string
        original_record_id:
          type: string
        parsing_error:
          type: string
        patient_information:
          $ref: '#/components/schemas/PatientInformation'
        record_id:
          description: Unique identifier for a record.
          examples:
            - 12345678-1234-abcd-4321-abcdef123456
          format: uuid
          type: string
        result_date:
          type: string
        sections:
          items:
            $ref: '#/components/schemas/LabReportSection'
          type:
            - array
            - 'null'
        status:
          description: Lab Report Status
          enum:
            - pending
            - processing
            - completed
            - failed
          type: string
        uploaded_at:
          format: date-time
          type: string
      required:
        - status
        - record_id
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    LabInformation:
      additionalProperties: false
      properties:
        address:
          type: string
        email_address:
          type: string
        name:
          type: string
        notes:
          type: string
        phone_number:
          type: string
      type: object
    PatientInformation:
      additionalProperties: false
      properties:
        address:
          type: string
        age:
          format: int32
          minimum: 0
          type: integer
        date_of_birth:
          type: string
        email_address:
          type: string
        gender:
          type: string
        name:
          type: string
        notes:
          type: string
        patient_id:
          type: string
        phone_number:
          type: string
      type: object
    LabReportSection:
      additionalProperties: false
      properties:
        loinc_code:
          type: string
        loinc_common_name:
          type: string
        original_section_name:
          type: string
        results:
          items:
            $ref: '#/components/schemas/LabReportValue'
          type:
            - array
            - 'null'
        section_notes:
          type: string
        standard_section_name:
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    LabReportValue:
      additionalProperties: false
      properties:
        loinc_code:
          type: string
        loinc_common_name:
          type: string
        normal_max:
          format: double
          type: number
        normal_min:
          format: double
          type: number
        notes:
          type: string
        original_test_name:
          type: string
        original_unit_name:
          type: string
        require_human_review:
          type: boolean
        standard_test_name:
          type: string
        standard_unit_name:
          type: string
        tested_positive:
          type: boolean
        value:
          format: double
          type: number
        value_text:
          type: string
        within_normal_range:
          type: boolean
      required:
        - original_test_name
        - original_unit_name
        - standard_unit_name
        - standard_test_name
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````